TermRangeQueryNode (Lucene 3.6.2 API)
Keywords: org.apache.lucene.queryParser.standard.nodes.TermRangeQueryNode class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.lucene.queryParser.standard.nodes
Class TermRangeQueryNode

    java.lang.Object
      org.apache.lucene.queryParser.core.nodes.QueryNodeImpl
          org.apache.lucene.queryParser.standard.nodes.AbstractRangeQueryNode<FieldQueryNode>
              org.apache.lucene.queryParser.standard.nodes.TermRangeQueryNode

All Implemented Interfaces:
  Serializable, Cloneable, FieldableNode, QueryNode, RangeQueryNode<FieldValuePairQueryNode<?>>

Direct Known Subclasses:
  RangeQueryNode

    public class TermRangeQueryNode

extends AbstractRangeQueryNode<FieldQueryNode>

This query node represents a range query composed by `FieldQueryNode` bounds, which means the bound values are strings.

See Also:
  `FieldQueryNode`, `AbstractRangeQueryNode`, Serialized Form

Field Summary

Fields inherited from class org.apache.lucene.queryParser.core.nodes.QueryNodeImpl
`PLAINTEXT_FIELD_NAME, toQueryStringIgnoreFields`

Constructor Summary
`TermRangeQueryNode(FieldQueryNode lower, FieldQueryNode upper, boolean lowerInclusive, boolean upperInclusive)` Constructs a `TermRangeQueryNode` object using the given `FieldQueryNode` as its bounds.

Method Summary

Methods inherited from class org.apache.lucene.queryParser.standard.nodes.AbstractRangeQueryNode
`getField, getLowerBound, getUpperBound, isLowerInclusive, isUpperInclusive, setBounds, setField, toQueryString`

Methods inherited from class org.apache.lucene.queryParser.core.nodes.QueryNodeImpl
`add, add, allocate, clone, cloneTree, containsTag, containsTag, getChildren, getParent, getTag, getTag, getTagMap, getTags, isDefaultField, isLeaf, isRoot, set, setLeaf, setTag, setTag, toString, unsetTag, unsetTag`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.apache.lucene.queryParser.core.nodes.QueryNode
`add, add, cloneTree, containsTag, containsTag, getChildren, getParent, getTag, getTag, getTagMap, getTags, isLeaf, set, setTag, setTag, toString, unsetTag, unsetTag`

Constructor Detail

### TermRangeQueryNode

    public TermRangeQueryNode(FieldQueryNode lower,
                              FieldQueryNode upper,
                              boolean lowerInclusive,
                              boolean upperInclusive)

  Constructs a `TermRangeQueryNode` object using the given `FieldQueryNode` as its bounds.

  Parameters:
    `lower` - the lower bound
    `upper` - the upper bound
    `lowerInclusive` - `true` if the lower bound is inclusive, otherwise, `false`
    `upperInclusive` - `true` if the upper bound is inclusive, otherwise, `false`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD